Subject: bug#30157: texlive-20170524-texmf.tar.xz' failed: 410, "Gone"

From: ng0 <[email-masked]>
Date: Thu, 18 Jan 2018 15:07:55 +0000

Mathieu Lirzin transcribed 2.4K bytes:
> Hello,
> 
> ng0 <[email-masked]> writes:
> 
> > Mathieu Lirzin transcribed 1.0K bytes:
> >> 
> >> While building my system configuration after a ‘guix pull’ with guix
> >> "d36d4c55c4a3faf47ee09e1010cb6617c6e39a48", I encountered the following
> >> error.
> >> 
> >> --8<---------------cut here---------------start------------->8---
> >> Téléchargement de « https://mirror.hydra.gnu.org/guix/nar/5rnvmy02yazy8iwaa91kijbbqp8qmflz-texlive-20170524-texmf.tar.xz »...
> >> guix substitute: error: download from 'https://mirror.hydra.gnu.org/guix/nar/5rnvmy02yazy8iwaa91kijbbqp8qmflz-texlive-20170524-texmf.tar.xz' failed: 410, "Gone"
> >> guix system: error: build failed: some substitutes for the outputs
> >> of derivation
> >> `/gnu/store/j3m0a6rwrz9jmass4zlndpn5y0x8g5n4-texlive-20170524-texmf.tar.xz.drv'
> >> failed (usually happens due to networking issues); try `--fallback'
> >> to build derivation from source
> >> --8<---------------cut here---------------end--------------->8---
> 
> > this is expected as we don't build substitutes for some parts of texlive, notable
> > this one. The resulting size would be ~5GB and as far as I understand it this would
> > need longer to transfer to you than to build locally (given that your machine can
> > build it).
> 
> Hum,
> 
> That makes sense, however the command bailing out is kind of confusing.
> Would it be possible to configure those heavy packages so that they
> automatically fallback to native compilation.
> 
> Anyway I don't understand how the full texlive end up being built when
> running ‘guix system build /etc/config.scm’ since the configuration
> contains only the following services and packages:
> 
>   (packages (cons* nss-certs         ;for HTTPS access
>                    gvfs              ;for user mounts
> 		   samba
> 		   cifs-utils
> 		   nfs-utils
>                    %base-packages))
> 
>   (services (cons* (console-keymap-service "fr")
> 		   (xfce-desktop-service)
> 		   (mate-desktop-service)
> 		   (service cups-service-type
> 			    (cups-configuration
> 			     (web-interface? #t)
> 			     (extensions (list cups-filters hplip))))
> 		   (extra-special-file "/usr/bin/env"
> 				       (file-append coreutils "/bin/env"))
> 		   %desktop-services))
> 
> The only reference of texlive I have is ”texlive-tiny“ which is only in
> my user profile and is already built.

I suspect that it's somewhere in one of the dependency graphs of those applications,
you can check with guix size `guix build foo` to get a view on that.
It's definitely not gvfs, and mate triggered a build of webkitgtk-2 here, so
you have to figure out yourself I guess ( can take some time ).

> Thank you for the explanation.
> 
> -- 
> Mathieu Lirzin
> GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37
> 

-- 
ng0 :: https://ea.n0.is
A88C8ADD129828D7EAC02E52E22F9BBFEE348588 :: https://ea.n0.is/keys/